View Issue Details

IDProjectCategoryView StatusLast Update
0014057LazarusLCLpublic2011-12-01 11:25
ReporterGraeme GeldenhuysAssigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSUbuntu LinuxOS Version8.04.2
Product Version0.9.27 (SVN)Product Buildlatest revision 
Target Version1.0.0Fixed in Version 
Summary0014057: TDateEdit: calendar days overlap
DescriptionSee the attached screenshot. The dropdown calendar days overlap each other. I cannot resize the drowdown calendar to space the days correctly. Also if another languages like Afrikaans was used, which uses day acronyms of 4 letters, the problem would be even worse.

I've only tested on GTK2 so I do not know if other widgetsets are affected.
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetGTK 2
Attached Files

Relationships

related to 0010190 closedPaul Ishenin TCalendar crash when activating dsShowWeekNumbers through OI 

Activities

2009-06-26 10:16

 

screenshot.png (6,121 bytes)
screenshot.png (6,121 bytes)

Gerard V

2010-12-29 17:45

reporter   ~0044689

Last edited: 2010-12-29 17:46

Looks Ok now, see my comment and screenshot in report 0014060.
Note that it is still not resizable and i haven't tested it with 4 letters day acronyms.

Vincent Snijders

2010-12-29 21:58

manager   ~0044695

I am not sure that a Calendar dialog is sizable in gtk2. Maybe it has fixed dimensions like a scrollbar.

Issue History

Date Modified Username Field Change
2009-06-26 10:16 Graeme Geldenhuys New Issue
2009-06-26 10:16 Graeme Geldenhuys File Added: screenshot.png
2009-06-26 10:16 Graeme Geldenhuys Widgetset => GTK 2
2009-06-29 11:39 Vincent Snijders LazTarget => 1.0
2009-06-29 11:39 Vincent Snijders Status new => acknowledged
2009-06-29 11:39 Vincent Snijders Target Version => 1.0.0
2010-12-20 13:35 Juha Manninen Relationship added related to 0010190
2010-12-29 17:45 Gerard V Note Added: 0044689
2010-12-29 17:46 Gerard V Note Edited: 0044689
2010-12-29 17:46 Gerard V Note Edited: 0044689
2010-12-29 21:58 Vincent Snijders Status acknowledged => resolved
2010-12-29 21:58 Vincent Snijders Resolution open => fixed
2010-12-29 21:58 Vincent Snijders Assigned To => Vincent Snijders
2010-12-29 21:58 Vincent Snijders Note Added: 0044695
2011-12-01 11:25 Marc Weustink Status resolved => closed